LogoRecal
Rest apiEndpoints

Create OAuth Connection

POST
/v1/users/{userId}/oauth/{provider}

Create a new oauth connection for a user

AuthorizationBearer <token>

Recal API token

In: header

Path Parameters

provider*unknown

Value in

  • "google"
  • "microsoft"
userId*string
Match^[A-Za-z0-9][A-Za-z0-9._-]{2,127}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/users/user_123/oauth/google" \  -H "Content-Type: application/json" \  -d '{    "accessToken": "string",    "email": "user@example.com",    "expiresAt": "string",    "refreshToken": "string",    "scope": [      "string"    ]  }'
{  "data": {    "alive": true,    "email": "user@example.com",    "expiresAt": "2019-08-24T14:15:22Z",    "provider": "google",    "scope": [      "string"    ],    "type": "string",    "accessToken": null,    "refreshToken": null  }}